--- source/parse.c	2003-04-10 18:09:07.000000000 -0700
+++ source/parse.c	2003-05-08 20:04:49.000000000 -0700
@@ -464,7 +464,11 @@ static	void p_privmsg(char *from, char *
 	PasteArgs(Args, 1);
 	to = Args[0];
 	ptr = Args[1];
-	if (!to || !ptr)
+
+	// if to has a colon in it message is invalid and should be discarded
+	// actual problem may lie in BreakArgs, but a message such where a
+	// colon would end up in to, is invalid anyways
+	if (!to || !ptr || strchr(to, ':'))
 		{ fake(); return; }
 	doing_privmsg = 1;
 
